P = function(v)
  print(vim.inspect(v))
  return v
end

R = function(module)
  require("plenary.reload").reload_module(module)
  return require(module)
end

require("config.options").setup()
require("config.keymap").setup()
require("config.diagnostic").setup()
require("config.autocmd").setup()
require("config.filetype").setup()
require("config.lazy").setup()

local colorscheme = vim.env.NVIM_COLORSCHEME or "gruvbox"
vim.cmd("silent! colorscheme " .. colorscheme)
