return {
  "danymat/neogen",

  keys = function()
    local icon = require("util.icons").ui.Annotation
    return {
      {
        "<leader>aa",
        function() require("neogen").generate() end,
        desc = icon .. " generate [a]nnotation [a]utomatically",
      },
      {
        "<leader>ac",
        function() require("neogen").generate { type = "class" } end,
        desc = icon .. " generate [a]nnotation for [c]lass",
      },
      {
        "<leader>af",
        function() require("neogen").generate { type = "func" } end,
        desc = icon .. " generate [a]nnotation for [f]unction",
      },
      {
        "<c-l>",
        function() require("neogen").jump_next() end,
        mode = "i",
        desc = icon .. " next annotation placeholder",
      },
      {
        "<c-h>",
        function() require("neogen").jump_prev() end,
        mode = "i",
        desc = icon .. " previous annotation placeholder",
      },
    }
  end,

  config = true,
}
