return {
  "mfussenegger/nvim-lint",

  keys = function()
    return {
      {
        "<leader>L",
        function() require("lint").try_lint() end,
        desc = require("util.icons").ui.Lint .. " [L]int file",
      },
    }
  end,

  config = function()
    require("lint").linters_by_ft = {
      markdown = { "markdownlint" },
      sh = { "shellcheck" },
    }
  end,
}
